import { Router } from "express";
import { AuthRoutes } from "./auth/routes.js";
import { TrackingRoutes } from "./tracking/routes.js";
import { FeedbackRoutes } from "./feedback/routes.js";
import { AddressesRoutes } from "./addresses/routes.js";

export class AppRoutes {
  static get routes(): Router {
    const router = Router();

    router.use('/api/auth', AuthRoutes.routes);
    router.use('/api/tracking', TrackingRoutes.routes);
    router.use('/api/feedback', FeedbackRoutes.routes);
    router.use('/api/addresses', AddressesRoutes.routes);

    return router;
  }
}